webpackJsonp([84],{

/***/ "4MFQ":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "setStore", function() { return setStore; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getStore", function() { return getStore; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "removeStore", function() { return removeStore; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getStyle", function() { return getStyle; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "loadMore", function() { return loadMore; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "showBack", function() { return showBack; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "animate", function() { return animate; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "checkRegex", function() { return checkRegex; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "toPx", function() { return toPx; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "pluralize", function() { return pluralize; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "timeAgo", function() { return timeAgo; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "formatDate", function() { return formatDate; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "translateTab", function() { return translateTab; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "userTypeStatus", function() { return userTypeStatus; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getSerType", function() { return getSerType; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_babel_runtime_core_js_object_keys__ = __webpack_require__("fZjL");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_babel_runtime_core_js_object_keys___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0_babel_runtime_core_js_object_keys__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_babel_runtime_core_js_json_stringify__ = __webpack_require__("mvHQ");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_babel_runtime_core_js_json_stringify___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_babel_runtime_core_js_json_stringify__);


/**
 * 存储localStorage
 */
var setStore = function setStore(name, content) {
  if (!name) return;
  if (typeof content !== 'string') {
    content = __WEBPACK_IMPORTED_MODULE_1_babel_runtime_core_js_json_stringify___default()(content);
  }
  window.localStorage.setItem(name, content);
};

/**
 * 获取localStorage
 */
var getStore = function getStore(name) {
  if (!name) return;
  return window.localStorage.getItem(name);
};

/**
 * 删除localStorage
 */
var removeStore = function removeStore(name) {
  if (!name) return;
  window.localStorage.removeItem(name);
};

/**
 * 获取style样式
 */
var getStyle = function getStyle(element, attr) {
  var NumberMode = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'int';

  var target = void 0;
  // scrollTop 获取方式不同，没有它不属于style，而且只有document.body才能用
  if (attr === 'scrollTop') {
    target = element.scrollTop;
  } else if (element.currentStyle) {
    target = element.currentStyle[attr];
  } else {
    target = document.defaultView.getComputedStyle(element, null)[attr];
  }
  //在获取 opactiy 时需要获取小数 parseFloat
  return NumberMode == 'float' ? parseFloat(target) : parseInt(target);
};

/**
 * 页面到达底部，加载更多
 */
var loadMore = function loadMore(element, callback) {
  var windowHeight = window.screen.height;
  var height = void 0;
  var setTop = void 0;
  var paddingBottom = void 0;
  var marginBottom = void 0;
  var requestFram = void 0;
  var oldScrollTop = void 0;

  document.body.addEventListener('scroll', function () {
    loadMore();
  }, false);
  //运动开始时获取元素 高度 和 offseTop, pading, margin
  element.addEventListener('touchstart', function () {
    height = element.offsetHeight;
    setTop = element.offsetTop;
    paddingBottom = getStyle(element, 'paddingBottom');
    marginBottom = getStyle(element, 'marginBottom');
  }, { passive: true });

  //运动过程中保持监听 scrollTop 的值判断是否到达底部
  element.addEventListener('touchmove', function () {
    loadMore();
  }, { passive: true });

  //运动结束时判断是否有惯性运动，惯性运动结束判断是非到达底部
  element.addEventListener('touchend', function () {
    oldScrollTop = document.body.scrollTop;
    moveEnd();
  }, { passive: true });

  var moveEnd = function moveEnd() {
    requestFram = requestAnimationFrame(function () {
      if (document.body.scrollTop != oldScrollTop) {
        oldScrollTop = document.body.scrollTop;
        loadMore();
        moveEnd();
      } else {
        cancelAnimationFrame(requestFram);
        //为了防止鼠标抬起时已经渲染好数据从而导致重获取数据，应该重新获取dom高度
        height = element.offsetHeight;
        loadMore();
      }
    });
  };

  var loadMore = function loadMore() {
    if (document.body.scrollTop + windowHeight >= height + setTop + paddingBottom + marginBottom) {
      callback();
    }
  };
};

/**
 * 显示返回顶部按钮，开始、结束、运动 三个过程中调用函数判断是否达到目标点
 */
var showBack = function showBack(callback) {
  var requestFram = void 0;
  var oldScrollTop = void 0;

  document.addEventListener('scroll', function () {
    showBackFun();
  }, false);
  document.addEventListener('touchstart', function () {
    showBackFun();
  }, { passive: true });

  document.addEventListener('touchmove', function () {
    showBackFun();
  }, { passive: true });

  document.addEventListener('touchend', function () {
    oldScrollTop = document.body.scrollTop;
    moveEnd();
  }, { passive: true });

  var moveEnd = function moveEnd() {
    requestFram = requestAnimationFrame(function () {
      if (document.body.scrollTop != oldScrollTop) {
        oldScrollTop = document.body.scrollTop;
        moveEnd();
      } else {
        cancelAnimationFrame(requestFram);
      }
      showBackFun();
    });
  };

  //判断是否达到目标点
  var showBackFun = function showBackFun() {
    if (document.body.scrollTop > 500) {
      callback(true);
    } else {
      callback(false);
    }
  };
};

/**
 * 运动效果
 * @param {HTMLElement} element   运动对象，必选
 * @param {JSON}        target    属性：目标值，必选
 * @param {number}      duration  运动时间，可选
 * @param {string}      mode      运动模式，可选
 * @param {function}    callback  可选，回调函数，链式动画
 */
var animate = function animate(element, target) {
  var duration = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 400;
  var mode = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 'ease-out';
  var callback = arguments[4];

  clearInterval(element.timer);

  //判断不同参数的情况
  if (duration instanceof Function) {
    callback = duration;
    duration = 400;
  } else if (duration instanceof String) {
    mode = duration;
    duration = 400;
  }

  //判断不同参数的情况
  if (mode instanceof Function) {
    callback = mode;
    mode = 'ease-out';
  }

  //获取dom样式
  var attrStyle = function attrStyle(attr) {
    if (attr === "opacity") {
      return Math.round(getStyle(element, attr, 'float') * 100);
    } else {
      return getStyle(element, attr);
    }
  };
  //根字体大小，需要从此将 rem 改成 px 进行运算
  var rootSize = parseFloat(document.documentElement.style.fontSize);

  var unit = {};
  var initState = {};

  //获取目标属性单位和初始样式值
  __WEBPACK_IMPORTED_MODULE_0_babel_runtime_core_js_object_keys___default()(target).forEach(function (attr) {
    if (/[^\d^\.]+/gi.test(target[attr])) {
      unit[attr] = target[attr].match(/[^\d^\.]+/gi)[0] || 'px';
    } else {
      unit[attr] = 'px';
    }
    initState[attr] = attrStyle(attr);
  });

  //去掉传入的后缀单位
  __WEBPACK_IMPORTED_MODULE_0_babel_runtime_core_js_object_keys___default()(target).forEach(function (attr) {
    if (unit[attr] == 'rem') {
      target[attr] = Math.ceil(parseInt(target[attr]) * rootSize);
    } else {
      target[attr] = parseInt(target[attr]);
    }
  });

  var flag = true; //假设所有运动到达终点
  var remberSpeed = {}; //记录上一个速度值,在ease-in模式下需要用到
  element.timer = setInterval(function () {
    __WEBPACK_IMPORTED_MODULE_0_babel_runtime_core_js_object_keys___default()(target).forEach(function (attr) {
      var iSpeed = 0; //步长
      var status = false; //是否仍需运动
      var iCurrent = attrStyle(attr) || 0; //当前元素属性址
      var speedBase = 0; //目标点需要减去的基础值，三种运动状态的值都不同
      var intervalTime = void 0; //将目标值分为多少步执行，数值越大，步长越小，运动时间越长
      switch (mode) {
        case 'ease-out':
          speedBase = iCurrent;
          intervalTime = duration * 5 / 400;
          break;
        case 'linear':
          speedBase = initState[attr];
          intervalTime = duration * 20 / 400;
          break;
        case 'ease-in':
          var oldspeed = remberSpeed[attr] || 0;
          iSpeed = oldspeed + (target[attr] - initState[attr]) / duration;
          remberSpeed[attr] = iSpeed;
          break;
        default:
          speedBase = iCurrent;
          intervalTime = duration * 5 / 400;
      }
      if (mode !== 'ease-in') {
        iSpeed = (target[attr] - speedBase) / intervalTime;
        iSpeed = iSpeed > 0 ? Math.ceil(iSpeed) : Math.floor(iSpeed);
      }
      //判断是否达步长之内的误差距离，如果到达说明到达目标点
      switch (mode) {
        case 'ease-out':
          status = iCurrent != target[attr];
          break;
        case 'linear':
          status = Math.abs(Math.abs(iCurrent) - Math.abs(target[attr])) > Math.abs(iSpeed);
          break;
        case 'ease-in':
          status = Math.abs(Math.abs(iCurrent) - Math.abs(target[attr])) > Math.abs(iSpeed);
          break;
        default:
          status = iCurrent != target[attr];
      }

      if (status) {
        flag = false;
        //opacity 和 scrollTop 需要特殊处理
        if (attr === "opacity") {
          element.style.filter = "alpha(opacity:" + (iCurrent + iSpeed) + ")";
          element.style.opacity = (iCurrent + iSpeed) / 100;
        } else if (attr === 'scrollTop') {
          element.scrollTop = iCurrent + iSpeed;
        } else {
          element.style[attr] = iCurrent + iSpeed + 'px';
        }
      } else {
        flag = true;
      }

      if (flag) {
        clearInterval(element.timer);
        if (callback) {
          callback();
        }
      }
    });
  }, 20);
};

/**
 * 常用正则校验
 * @param str 待校验字符串
 * @param type 校验类型
 * @returns {boolean}
 */
var checkRegex = function checkRegex(str, type) {
  if (!str) {
    return false;
  }
  if (!type) {
    return false;
  }

  var regex = void 0;
  switch (type) {
    case 'phone':
      regex = /^[1][0-9]{10}$/;
      break;
    case 'email':
      regex = /\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*/;
      break;
    case 'number':
      regex = /^0$|^[1-9]\d*$/;
      break;
  }

  if (!regex) {
    console.error("正则校验公共方法：所选校验类型错误！");
    return false;
  }
  if (regex.test(str)) {
    return true;
  } else {
    return false;
  }
};

/**
 * px转rem
 * @param rem String
 * @returns {number}
 */
var toPx = function toPx(rem) {
  if (!rem) return 0;
  var _fontSize = parseFloat(getComputedStyle(window.document.documentElement)['font-size'].replace(/[^0-9.]/g, ''));
  var _rem = rem + "";
  _rem = parseFloat(_rem.replace(/[^0-9.]/g, '').startsWith(".") ? "0" + _rem.replace(/[^0-9.]/g, '') : _rem.replace(/[^0-9.]/g, ''));
  return _rem * _fontSize;
};

var pluralize = function pluralize(time, label) {
  return time + label + '前';
};

var timeAgo = function timeAgo(time) {
  var between = (+Date.now() - +new Date(time)) / 1000;
  if (between < 60) {
    return pluralize(~~between, ' 秒');
  } else if (between < 3600) {
    return pluralize(~~(between / 60), ' 分钟');
  } else if (between < 86400) {
    return pluralize(~~(between / 3600), ' 小时');
  } else if (between < 86400 * 30) {
    return pluralize(~~(between / 86400), ' 天');
  } else if (between < 86400 * 30 * 12) {
    return pluralize(~~(between / (86400 * 30)), '个月');
  } else {
    return pluralize(~~(between / (86400 * 30 * 12)), '年');
  }
};

var formatDate = function formatDate(date, fmt) {
  date = new Date(date);
  fmt = fmt || 'yyyy-MM-dd hh:mm';
  var o = {
    'M+': date.getMonth() + 1, // 月份
    'd+': date.getDate(), // 日
    'h+': date.getHours(), // 小时
    'm+': date.getMinutes(), // 分
    's+': date.getSeconds(), // 秒
    'q+': Math.floor((date.getMonth() + 3) / 3), // 季度
    'S': date.getMilliseconds() // 毫秒
  };
  if (/(y+)/.test(fmt)) {
    fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
  }
  for (var k in o) {
    if (new RegExp('(' + k + ')').test(fmt)) {
      fmt = fmt.replace(RegExp.$1, RegExp.$1.length === 1 ? o[k] : ('00' + o[k]).substr(('' + o[k]).length));
    }
  }
  return fmt;
};

var translateTab = function translateTab(tab, isTop) {
  if (isTop) {
    return '置顶';
  } else {
    switch (tab) {
      case 'share':
        return '分享';
      case 'ask':
        return '问答';
      case 'job':
        return '招聘';
      case 'good':
        return '精华';
      case 'top':
        return '置顶';
    }
  }
};

/**
 * 根据绑定的老人类型判断能够购买哪些服务
 *
 * 1100康复服务 1101生活照料服务 1102家政服务 1103关怀服务
 */
var userTypeStatus = function userTypeStatus(str, type) {
  var msg = '0';
  if (!status) {
    msg = '-1';
  } else {
    if (str == '4') {
      //重度失能老人
      var allowType = ['1100', '1101', '1103'];
      for (var i = 0; i < allowType.length; i++) {
        if (allowType[i].indexOf(type) > -1) {
          msg = '1';
        }
      }
    } else {
      var allowType1 = ['1102', '1103'];
      for (var l = 0; l < allowType1.length; l++) {
        if (allowType1[l].indexOf(type) > -1) {
          msg = '1';
        }
      }
    }
  }
  return msg;
};
/**
 * 获取服务商品对应的服务类型
 *
 */
var getSerType = function getSerType(str) {

  var msg = '';
  var _str = str.substr(0, 4);
  if (_str == '1100') {
    msg = '康复服务';
  } else if (_str == '1101') {
    msg = '生活照料服务';
  } else if (_str == '1102') {
    msg = '家政服务';
  } else if (_str == '1103') {
    msg = '关怀服务';
  }
  return msg;
};

/***/ }),

/***/ "4ml/":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "Bfwr":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./node_modules/vux/src/components/loading/index.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var loading = ({
  name: 'loading',
  model: {
    prop: 'show',
    event: 'change'
  },
  props: {
    show: Boolean,
    text: String,
    position: String,
    transition: {
      type: String,
      default: 'vux-mask'
    }
  },
  watch: {
    show: function show(val) {
      this.$emit('update:show', val);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./node_modules/vux/src/components/loading/index.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var components_loading = ({
  name: 'loading',
  model: {
    prop: 'show',
    event: 'change'
  },
  props: {
    show: Boolean,
    text: String,
    position: String,
    transition: {
      type: String,
      default: 'vux-mask'
    }
  },
  watch: {
    show: function show(val) {
      this.$emit('update:show', val);
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-a79aa162","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./node_modules/vux/src/components/loading/index.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('transition',{attrs:{"name":_vm.transition}},[_c('div',{directives:[{name:"show",rawName:"v-show",value:(_vm.show),expression:"show"}],staticClass:"weui-loading_toast vux-loading",class:!_vm.text ? 'vux-loading-no-text' : ''},[_c('div',{staticClass:"weui-mask_transparent"}),_vm._v(" "),_c('div',{staticClass:"weui-toast",style:({
        position: _vm.position
      })},[_c('i',{staticClass:"weui-loading weui-icon_toast"}),_vm._v(" "),(_vm.text)?_c('p',{staticClass:"weui-toast__content"},[_vm._v(_vm._s(_vm.text || '加载中')),_vm._t("default")],2):_vm._e()])])])}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var src_components_loading = (esExports);
// CONCATENATED MODULE: ./node_modules/vux/src/components/loading/index.vue
function injectStyle (ssrContext) {
  __webpack_require__("ErAa")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  components_loading,
  src_components_loading,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)


/* harmony default export */ var vux_src_components_loading = __webpack_exports__["a"] = (Component.exports);


/***/ }),

/***/ "ErAa":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "NHnr":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/object/keys.js
var keys = __webpack_require__("fZjL");
var keys_default = /*#__PURE__*/__webpack_require__.n(keys);

// EXTERNAL MODULE: ./node_modules/vue/dist/vue.esm.js
var vue_esm = __webpack_require__("7+uW");

// EXTERNAL MODULE: ./src/store/mUtils.js
var mUtils = __webpack_require__("4MFQ");

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/App.vue
//
//
//
//
//
//
//
//



/* harmony default export */ var App = ({
  name: 'App',
  data: function data() {
    return {
      newVal: '1',
      new: '',
      old: '',
      count: 0,
      keepAliveArray: 'mainPage,workOnline,enchiridion'
    };
  },
  created: function created() {
    this.launch();
    var appMounted = Object(mUtils["getStore"])('appMounted');
    if (appMounted != 1) {
      Object(mUtils["setStore"])('appMounted', 1);
    } else {
      this.checkReturn();
    }
    Object(mUtils["setStore"])('keepAliveArray', this.keepAliveArray);
  },

  watch: {
    $route: function $route(to, from) {
      this.keepAliveArray = Object(mUtils["getStore"])('keepAliveArray');
      window.scrollTo(0, 0);
    }
  },
  methods: {
    launch: function launch() {
      console.log('App Launch');
      // 签名证书指纹检验
      var sha1 = 'f67d2e9610e99093fd98548881519ada4d2fb995'; //修改为自己应用签名证书SHA-1值，是全小写并且中间不包含“:”符号
      if (sha1 != plus.navigator.getSignature()) {
        //证书不对时退出应用
        plus.runtime.quit();
      }
    },
    jgpush: function jgpush() {
      var _this = this;

      var self = this;
      var onDeviceReady = function onDeviceReady() {
        document.addEventListener("jpush.receiveRegistrationId", function (event) {}, false);
        initJPush();
      };
      var openNotification = function openNotification(event) {
        try {
          self.$router.push({ path: '/message' });
        } catch (Exception) {}
      };

      function initJPush() {
        if ('JPush' in window) {
          console.log('initialize JPush...');
          try {
            window.JPush.init();
            window.JPush.setDebugMode(true);
            window.setTimeout(function () {
              window.JPush.getRegistrationID(function (data) {
                console.log('JPush initialize successful...');
              });
            }, 1000);
            if (device.platform != "Android") {
              window.JPush.setApplicationIconBadgeNumber(0);
            }
          } catch (exception) {
            console.log(exception);
          }
        } else {
          console.error('JPush is not exist...');
        }
      }

      function initJPush1() {
        if ('JPush' in window) {
          console.log('initialize JPush...');
          try {
            // window.JPush.init();
            window.JPush.resumePush();
            window.JPush.setDebugMode(true);
            window.setTimeout(function () {
              window.JPush.getRegistrationID(function (data) {
                console.log('initJPush1()JPush initialize successful...');
              });
            }, 1000);
            if (device.platform != "Android") {
              window.JPush.setApplicationIconBadgeNumber(0);
            }
          } catch (exception) {
            console.log(exception);
          }
        } else {
          console.log('JPush is not exist...');
        }
      }

      function initJPush2() {
        if ('JPush' in window) {
          console.log('initialize JPush...');
          try {
            // window.JPush.init();
            window.JPush.stopPush();
            window.JPush.setDebugMode(true);
            window.setTimeout(function () {
              window.JPush.getRegistrationID(function (data) {
                console.log('JPush initialize successful...');
              });
            }, 1000);
            if (device.platform != "Android") {
              window.JPush.setApplicationIconBadgeNumber(0);
            }
          } catch (exception) {
            console.log(exception);
          }
        } else {
          console.log('JPush is not exist...');
        }
      }

      document.addEventListener("deviceready", onDeviceReady, false);
      document.addEventListener("jpush.openNotification", openNotification, false);
      window.addEventListener('setItem', function () {
        _this.newVal = sessionStorage.getItem('watchStorage');
        if (_this.newVal == '0') {
          document.addEventListener("jpush.receiveRegistrationId", function (event) {}, false);
          initJPush2();
        } else if (_this.newVal == '1') {
          document.addEventListener("jpush.receiveRegistrationId", function (event) {}, false);
          initJPush1();
        }
      });
    },
    checkReturn: function checkReturn() {
      Object(mUtils["setStore"])('appMounted', 0);
      var first = null;
      var self = this;
      document.addEventListener('plusready', function () {
        var webview = plus.webview.currentWebview();
        plus.key.addEventListener('backbutton', function () {
          webview.canBack(function (e) {
            if (e.canBack) {
              var hash = window.location.hash;
              if (hash == '#/personal' || hash == '#/enchiridion' || hash == '#/mainPage' || hash == '#/workOnline') {
                if (first == null) {
                  first = new Date().getTime();
                  self.$toast('再按一次退出应用');
                  setTimeout(function () {
                    first = null;
                  }, 15500);
                } else {
                  if (new Date().getTime() - first < 1500) {
                    plus.runtime.quit();
                  } else {
                    self.$toast('再按一次退出应用');
                    setTimeout(function () {
                      first = null;
                    }, 1500);
                  }
                }
              } else {
                self.$router.go(-1);
              }
            } else {
              if (first == null) {
                first = new Date().getTime();
                self.$toast('再按一次退出应用');
                setTimeout(function () {
                  first = null;
                }, 3000);
              } else {
                if (new Date().getTime() - first < 3000) {
                  plus.runtime.quit();
                }
              }
            }
          });
        });
      });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vux-loader/src/script-loader.js!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/App.vue
//
//
//
//
//
//
//
//



/* harmony default export */ var selectortype_script_index_0_src_App = ({
  name: 'App',
  data: function data() {
    return {
      newVal: '1',
      new: '',
      old: '',
      count: 0,
      keepAliveArray: 'mainPage,workOnline,enchiridion'
    };
  },
  created: function created() {
    this.launch();
    var appMounted = Object(mUtils["getStore"])('appMounted');
    if (appMounted != 1) {
      Object(mUtils["setStore"])('appMounted', 1);
    } else {
      this.checkReturn();
    }
    Object(mUtils["setStore"])('keepAliveArray', this.keepAliveArray);
  },

  watch: {
    $route: function $route(to, from) {
      this.keepAliveArray = Object(mUtils["getStore"])('keepAliveArray');
      window.scrollTo(0, 0);
    }
  },
  methods: {
    launch: function launch() {
      console.log('App Launch');
      // 签名证书指纹检验
      var sha1 = 'f67d2e9610e99093fd98548881519ada4d2fb995'; //修改为自己应用签名证书SHA-1值，是全小写并且中间不包含“:”符号
      if (sha1 != plus.navigator.getSignature()) {
        //证书不对时退出应用
        plus.runtime.quit();
      }
    },
    jgpush: function jgpush() {
      var _this = this;

      var self = this;
      var onDeviceReady = function onDeviceReady() {
        document.addEventListener("jpush.receiveRegistrationId", function (event) {}, false);
        initJPush();
      };
      var openNotification = function openNotification(event) {
        try {
          self.$router.push({ path: '/message' });
        } catch (Exception) {}
      };

      function initJPush() {
        if ('JPush' in window) {
          console.log('initialize JPush...');
          try {
            window.JPush.init();
            window.JPush.setDebugMode(true);
            window.setTimeout(function () {
              window.JPush.getRegistrationID(function (data) {
                console.log('JPush initialize successful...');
              });
            }, 1000);
            if (device.platform != "Android") {
              window.JPush.setApplicationIconBadgeNumber(0);
            }
          } catch (exception) {
            console.log(exception);
          }
        } else {
          console.error('JPush is not exist...');
        }
      }

      function initJPush1() {
        if ('JPush' in window) {
          console.log('initialize JPush...');
          try {
            // window.JPush.init();
            window.JPush.resumePush();
            window.JPush.setDebugMode(true);
            window.setTimeout(function () {
              window.JPush.getRegistrationID(function (data) {
                console.log('initJPush1()JPush initialize successful...');
              });
            }, 1000);
            if (device.platform != "Android") {
              window.JPush.setApplicationIconBadgeNumber(0);
            }
          } catch (exception) {
            console.log(exception);
          }
        } else {
          console.log('JPush is not exist...');
        }
      }

      function initJPush2() {
        if ('JPush' in window) {
          console.log('initialize JPush...');
          try {
            // window.JPush.init();
            window.JPush.stopPush();
            window.JPush.setDebugMode(true);
            window.setTimeout(function () {
              window.JPush.getRegistrationID(function (data) {
                console.log('JPush initialize successful...');
              });
            }, 1000);
            if (device.platform != "Android") {
              window.JPush.setApplicationIconBadgeNumber(0);
            }
          } catch (exception) {
            console.log(exception);
          }
        } else {
          console.log('JPush is not exist...');
        }
      }

      document.addEventListener("deviceready", onDeviceReady, false);
      document.addEventListener("jpush.openNotification", openNotification, false);
      window.addEventListener('setItem', function () {
        _this.newVal = sessionStorage.getItem('watchStorage');
        if (_this.newVal == '0') {
          document.addEventListener("jpush.receiveRegistrationId", function (event) {}, false);
          initJPush2();
        } else if (_this.newVal == '1') {
          document.addEventListener("jpush.receiveRegistrationId", function (event) {}, false);
          initJPush1();
        }
      });
    },
    checkReturn: function checkReturn() {
      Object(mUtils["setStore"])('appMounted', 0);
      var first = null;
      var self = this;
      document.addEventListener('plusready', function () {
        var webview = plus.webview.currentWebview();
        plus.key.addEventListener('backbutton', function () {
          webview.canBack(function (e) {
            if (e.canBack) {
              var hash = window.location.hash;
              if (hash == '#/personal' || hash == '#/enchiridion' || hash == '#/mainPage' || hash == '#/workOnline') {
                if (first == null) {
                  first = new Date().getTime();
                  self.$toast('再按一次退出应用');
                  setTimeout(function () {
                    first = null;
                  }, 15500);
                } else {
                  if (new Date().getTime() - first < 1500) {
                    plus.runtime.quit();
                  } else {
                    self.$toast('再按一次退出应用');
                    setTimeout(function () {
                      first = null;
                    }, 1500);
                  }
                }
              } else {
                self.$router.go(-1);
              }
            } else {
              if (first == null) {
                first = new Date().getTime();
                self.$toast('再按一次退出应用');
                setTimeout(function () {
                  first = null;
                }, 3000);
              } else {
                if (new Date().getTime() - first < 3000) {
                  plus.runtime.quit();
                }
              }
            }
          });
        });
      });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-f4aedc52","hasScoped":false,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vux-loader/src/before-template-compiler-loader.js!./node_modules/vux-loader/src/template-loader.js!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/App.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{ref:"homePage"},[_c('keep-alive',{attrs:{"include":_vm.keepAliveArray}},[_c('router-view')],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var selectortype_template_index_0_src_App = (esExports);
// CONCATENATED MODULE: ./src/App.vue
function injectStyle (ssrContext) {
  __webpack_require__("gidv")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  selectortype_script_index_0_src_App,
  selectortype_template_index_0_src_App,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var src_App = (Component.exports);

// EXTERNAL MODULE: ./node_modules/vue-router/dist/vue-router.esm.js
var vue_router_esm = __webpack_require__("/ocq");

// CONCATENATED MODULE: ./src/router/index.js



//demo
var demo = function demo(r) {
  return __webpack_require__.e/* require.ensure */(79).then((function () {
    return r(__webpack_require__("eNIl"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};

// 首屏广告页
var loading = function loading(r) {
  return __webpack_require__.e/* require.ensure */(59).then((function () {
    return r(__webpack_require__("2Kku"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};

// 引导页 guide
var guide = function guide(r) {
  return __webpack_require__.e/* require.ensure */(9).then((function () {
    return r(__webpack_require__("w4UX"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var page01 = function page01(r) {
  return __webpack_require__.e/* require.ensure */(29).then((function () {
    return r(__webpack_require__("U/hV"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};

//App首页
var mainPage = function mainPage(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(5)]).then((function () {
    return r(__webpack_require__("90nH"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//轮播图片详细信息页面
var mainPageImgDetail = function mainPageImgDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(55)]).then((function () {
    return r(__webpack_require__("Aasu"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//事项信息主页
var workInfo = function workInfo(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(2)]).then((function () {
    return r(__webpack_require__("bg2E"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//事项信息主页
var workDetail = function workDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(4)]).then((function () {
    return r(__webpack_require__("HlF2"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//地区树�?�择
var areaTree = function areaTree(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(76)]).then((function () {
    return r(__webpack_require__("4uyh"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//登录页面
var login = function login(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(14)]).then((function () {
    return r(__webpack_require__("ct3R"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//忘记密码
var forgetPassword = function forgetPassword(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(40)]).then((function () {
    return r(__webpack_require__("dvE2"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//忘记密码
var forgetLoginId = function forgetLoginId(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(43)]).then((function () {
    return r(__webpack_require__("238f"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//注册页面
var register = function register(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(75)]).then((function () {
    return r(__webpack_require__("JOgZ"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//注册页面-用户个协议
var protocol = function protocol(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(53)]).then((function () {
    return r(__webpack_require__("tG9J"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//办事指南主页�?
var enchiridion = function enchiridion(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(60)]).then((function () {
    return r(__webpack_require__("gOfO"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//办事指南List
var guideList = function guideList(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(61)]).then((function () {
    return r(__webpack_require__("28Fv"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//详细信息
var showInfo = function showInfo(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(68)]).then((function () {
    return r(__webpack_require__("ZuO9"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//在线办事主页�?
var workOnline = function workOnline(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(39)]).then((function () {
    return r(__webpack_require__("6i2Z"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//在线办事-应用详情
var application = function application(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(20)]).then((function () {
    return r(__webpack_require__("AWFe"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//在线办事-进入应用
var appDetail = function appDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(34)]).then((function () {
    return r(__webpack_require__("/DGw"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//个人中心主页�?
var personal = function personal(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(7)]).then((function () {
    return r(__webpack_require__("8E+Z"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//个人中心-身份认证
var identity = function identity(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(46)]).then((function () {
    return r(__webpack_require__("gbcJ"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//个人中心-设置
var setUp = function setUp(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(74)]).then((function () {
    return r(__webpack_require__("H9X0"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//个人中心-我的办件 myOrder
var myOrder = function myOrder(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(11)]).then((function () {
    return r(__webpack_require__("gIcV"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//个人中心-我的办件详细
var orderDetail = function orderDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(25)]).then((function () {
    return r(__webpack_require__("tgJG"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//密码修改
var modifyPassword = function modifyPassword(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(45)]).then((function () {
    return r(__webpack_require__("K8X0"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//变更绑定手机页面
var changePhone = function changePhone(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(62)]).then((function () {
    return r(__webpack_require__("yOKp"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//变更个人信息
var personInfo = function personInfo(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(44)]).then((function () {
    return r(__webpack_require__("Imsf"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
// 身份认证
var authentication = function authentication(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(8)]).then((function () {
    return r(__webpack_require__("BLCy"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
// 手机号认�?
var telAuthentication = function telAuthentication(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(63)]).then((function () {
    return r(__webpack_require__("Oeui"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
// 身份证号认证
var idAuthentication = function idAuthentication(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(28)]).then((function () {
    return r(__webpack_require__("+z9h"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
// 认证通过
var nextAuthentication = function nextAuthentication(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(36)]).then((function () {
    return r(__webpack_require__("B4Ys"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//我的-我的订阅
var mySubscription = function mySubscription(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(15)]).then((function () {
    return r(__webpack_require__("W7Yl"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//我的-我的快�??
var mypackage = function mypackage(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(21)]).then((function () {
    return r(__webpack_require__("AaWV"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//新闻资讯list
var news = function news(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(51)]).then((function () {
    return r(__webpack_require__("Uy1r"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//通知公告list
var notice = function notice(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(70)]).then((function () {
    return r(__webpack_require__("dNqo"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//通知公告list
var xxzxMessage = function xxzxMessage(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(49)]).then((function () {
    return r(__webpack_require__("tlK/"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//通知公告list
var wdlyMessage = function wdlyMessage(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(82)]).then((function () {
    return r(__webpack_require__("XAYT"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//通知公告list
var wyly = function wyly(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(78)]).then((function () {
    return r(__webpack_require__("V4hX"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//通知公告list
var wdtsMessage = function wdtsMessage(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(38)]).then((function () {
    return r(__webpack_require__("AHUc"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//通知公告list
var wyts = function wyts(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(26)]).then((function () {
    return r(__webpack_require__("1m2F"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页搜素界面
var search = function search(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(27)]).then((function () {
    return r(__webpack_require__("LgRg"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页搜素-详情界面
var searchDetail = function searchDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(50)]).then((function () {
    return r(__webpack_require__("6yRJ"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页消息提醒界面
var message = function message(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(19)]).then((function () {
    return r(__webpack_require__("nGvD"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页消息提醒详细
var messageDetail = function messageDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(32)]).then((function () {
    return r(__webpack_require__("6xxf"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var messageDetail1 = function messageDetail1(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(77)]).then((function () {
    return r(__webpack_require__("qcRB"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//新闻资讯详情
var newsDetail = function newsDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(66)]).then((function () {
    return r(__webpack_require__("gLaI"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//通知公告详情
var noticeDetail = function noticeDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(73)]).then((function () {
    return r(__webpack_require__("v51w"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页-机构查询list·
var orgSearch = function orgSearch(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(10)]).then((function () {
    return r(__webpack_require__("rr04"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页-机构详细信息·
var orgDetail = function orgDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(56)]).then((function () {
    return r(__webpack_require__("nGay"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页-位置服务·
var mapSer = function mapSer(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(16)]).then((function () {
    return r(__webpack_require__("L4UO"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页-政策法规
var policy = function policy(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(54)]).then((function () {
    return r(__webpack_require__("PUvT"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//首页-政策解读
var policyJD = function policyJD(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(57)]).then((function () {
    return r(__webpack_require__("8J+D"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//政策-详细�?
var policyDetail = function policyDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(23)]).then((function () {
    return r(__webpack_require__("oFwa"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//设置-关于我们
var forus = function forus(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(17)]).then((function () {
    return r(__webpack_require__("iOKJ"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//设置-推荐好友
var shareFriend = function shareFriend(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(48)]).then((function () {
    return r(__webpack_require__("n7OZ"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//我的证照
var license = function license(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(3)]).then((function () {
    return r(__webpack_require__("Eqim"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//设置-意见反馈
var feedback = function feedback(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(67)]).then((function () {
    return r(__webpack_require__("ifOj"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//在线办事-评论
var comment = function comment(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(52)]).then((function () {
    return r(__webpack_require__("2bAn"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
//智能客服
var znkf = function znkf(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(30)]).then((function () {
    return r(__webpack_require__("dhIp"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var MzbList = function MzbList(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(81)]).then((function () {
    return r(__webpack_require__("sMNB"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var DfList = function DfList(r) {
  return __webpack_require__.e/* require.ensure */(64).then((function () {
    return r(__webpack_require__("Azxq"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var commentSx = function commentSx(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(18)]).then((function () {
    return r(__webpack_require__("6qvu"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var commentList = function commentList(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(72)]).then((function () {
    return r(__webpack_require__("tqR7"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var cardDetail = function cardDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(35)]).then((function () {
    return r(__webpack_require__("LKry"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var xfIndex = function xfIndex(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(24)]).then((function () {
    return r(__webpack_require__("jBWE"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var xfForgetLoginId = function xfForgetLoginId(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(69)]).then((function () {
    return r(__webpack_require__("M1r0"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var xfForgetPassword = function xfForgetPassword(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(58)]).then((function () {
    return r(__webpack_require__("x5k4"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var letterVisitsKnow = function letterVisitsKnow(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(65)]).then((function () {
    return r(__webpack_require__("Pvim"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var xfLogin = function xfLogin(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(13)]).then((function () {
    return r(__webpack_require__("8RTt"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var xfRegister = function xfRegister(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(41)]).then((function () {
    return r(__webpack_require__("U2JY"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var letterVisitsTsqq = function letterVisitsTsqq(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(42)]).then((function () {
    return r(__webpack_require__("wDhU"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var letterVisitsJyzj = function letterVisitsJyzj(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(31)]).then((function () {
    return r(__webpack_require__("ExJM"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var letterVisitsQueryEvaluation = function letterVisitsQueryEvaluation(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(37)]).then((function () {
    return r(__webpack_require__("nEaF"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var letterVisitsEvaluationDetail = function letterVisitsEvaluationDetail(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(80)]).then((function () {
    return r(__webpack_require__("E3k5"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var letterVisitsGoEvaluation = function letterVisitsGoEvaluation(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(33)]).then((function () {
    return r(__webpack_require__("+xb5"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var letterVisitsProblem = function letterVisitsProblem(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(47)]).then((function () {
    return r(__webpack_require__("PGYs"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var orderComment = function orderComment(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(1)]).then((function () {
    return r(__webpack_require__("/Jya"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var myComment = function myComment(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(1)]).then((function () {
    return r(__webpack_require__("6/cZ"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var kstb = function kstb(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(12)]).then((function () {
    return r(__webpack_require__("N2pt"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var ztzq = function ztzq(r) {
  return __webpack_require__.e/* require.ensure */(6).then((function () {
    return r(__webpack_require__("Xr9v"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var zcwjList = function zcwjList(r) {
  return Promise.all/* require.ensure */([__webpack_require__.e(0), __webpack_require__.e(71)]).then((function () {
    return r(__webpack_require__("sfDp"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
var zcwjDetail = function zcwjDetail(r) {
  return __webpack_require__.e/* require.ensure */(22).then((function () {
    return r(__webpack_require__("i4kX"));
  }).bind(null, __webpack_require__)).catch(__webpack_require__.oe);
};
vue_esm["a" /* default */].use(vue_router_esm["a" /* default */]);

/* harmony default export */ var router = (new vue_router_esm["a" /* default */]({
  routes: [{
    path: '/',
    name: 'App',
    component: src_App,
    children: [
    //地址为空时跳转home页面
    // {
    //   path: '',
    //   name: 'loading',
    //   component: loading
    // },
    {
      path: '',
      name: 'mainPage',
      component: mainPage
    }, {
      path: '/mainPage',
      name: 'mainPage',
      component: mainPage
    }, {
      path: '/workInfo',
      name: 'workInfo',
      component: workInfo
    }, {
      path: '/workDetail',
      name: 'workDetail',
      component: workDetail
    }, {
      path: '/areaTree',
      name: 'areaTree',
      component: areaTree
    }, {
      path: '/login',
      name: 'login',
      component: login
    }, {
      path: '/register',
      name: 'register',
      component: register
    }, {
      path: '/protocol',
      name: 'protocol',
      component: protocol
    }, {
      path: '/enchiridion',
      name: 'enchiridion',
      component: enchiridion
    },
    //在线办事 start
    {
      path: '/workOnline',
      name: 'workOnline',
      component: workOnline
    }, {
      path: '/application',
      name: 'application',
      component: application
    }, {
      path: '/appDetail',
      name: 'appDetail',
      component: appDetail
    },
    //
    {
      path: '/identity',
      name: 'identity',
      component: identity
    },
    //个人中心相关页面 start
    {
      path: '/setUp',
      name: 'setUp',
      component: setUp
    }, {
      path: '/myOrder',
      name: 'myOrder',
      component: myOrder
    }, {
      path: '/orderDetail',
      name: 'orderDetail',
      component: orderDetail
    }, {
      path: '/personal',
      name: 'personal',
      component: personal
    }, {
      path: '/mySubscription',
      name: 'mySubscription',
      component: mySubscription
    }, {
      path: '/modifyPassword',
      name: 'modifyPassword',
      component: modifyPassword
    }, {
      path: '/changePhone',
      name: 'changePhone',
      component: changePhone
    }, {
      path: '/mypackage',
      name: 'mypackage',
      component: mypackage
    },
    //首页 start
    {
      path: '/news',
      name: 'news',
      component: news
    },
    //notice
    {
      path: '/notice',
      name: 'notice',
      component: notice
    }, {
      path: '/xxzxMessage',
      name: 'xxzxMessage',
      component: xxzxMessage
    }, {
      path: '/wdlyMessage',
      name: 'wdlyMessage',
      component: wdlyMessage
    }, {
      path: '/wyly',
      name: 'wyly',
      component: wyly
    }, {
      path: '/wdtsMessage',
      name: 'wdtsMessage',
      component: wdtsMessage
    }, {
      path: '/wyts',
      name: 'wyts',
      component: wyts
    }, {
      path: '/newsDetail',
      name: 'newsDetail',
      component: newsDetail
    }, {
      path: '/noticeDetail',
      name: 'noticeDetail',
      component: noticeDetail
    },
    //首页-机构查询
    {
      path: '/orgSearch',
      name: 'orgSearch',
      component: orgSearch
    }, {
      path: '/orgDetail',
      name: 'orgDetail',
      component: orgDetail
    }, {
      path: '/mapSer',
      name: 'mapSer',
      component: mapSer
    }, {
      path: '/policy',
      name: 'policy',
      component: policy
    }, {
      path: '/policyJD',
      name: 'policyJD',
      component: policyJD
    }, {
      path: '/policyDetail',
      name: 'policyDetail',
      component: policyDetail
    }, {
      path: '/guideList',
      name: 'guideList',
      component: guideList
    }, {
      path: '/showInfo',
      name: 'showInfo',
      component: showInfo
    }, {
      path: '/personInfo',
      name: 'personInfo',
      component: personInfo
    },
    // 身份信息认证
    {
      path: '/authentication',
      name: 'authentication',
      component: authentication
    },
    // 手机号认�?
    {
      path: '/telAuthentication',
      name: 'telAuthentication',
      component: telAuthentication
    },
    // 身份证号认证
    {
      path: '/idAuthentication',
      name: 'idAuthentication',
      component: idAuthentication
    },
    // 认证通过
    {
      path: '/nextAuthentication',
      name: 'nextAuthentication',
      component: nextAuthentication
    },
    //首页搜索、消息提�?? start
    {
      path: '/search',
      name: 'search',
      component: search
    }, {
      path: '/searchDetail',
      name: 'searchDetail',
      component: searchDetail
    }, {
      path: '/message',
      name: 'message',
      component: message
    },
    //设置 start
    {
      path: '/messageDetail',
      name: 'messageDetail',
      component: messageDetail
    }, {
      path: '/messageDetail1',
      name: 'messageDetail1',
      component: messageDetail1
    }, {
      path: '/forus',
      name: 'forus',
      component: forus
    }, {
      path: '/shareFriend',
      name: 'shareFriend',
      component: shareFriend
    }, {
      path: '/feedback',
      name: 'feedback',
      component: feedback
    }, {
      path: '/comment',
      name: 'comment',
      component: comment
    }, {
      path: '/forgetPassword',
      name: 'forgetPassword',
      component: forgetPassword
    }, {
      path: '/forgetLoginId',
      name: 'forgetLoginId',
      component: forgetLoginId
    }, {
      path: '/mainPageImgDetail',
      name: 'mainPageImgDetail',
      component: mainPageImgDetail
    }, {
      path: '/license',
      name: 'license',
      component: license
    }, {
      path: '/znkf',
      name: 'znkf',
      component: znkf
    }, {
      path: '/MzbList',
      name: 'MzbList',
      component: MzbList
    }, {
      path: '/DfList',
      name: 'DfList',
      component: DfList
    }, {
      path: '/demo',
      name: 'demo',
      component: demo
    }, {
      path: '/commentSx',
      name: 'commentSx',
      component: commentSx
    }, {
      path: '/commentList',
      name: 'commentList',
      component: commentList
    }, {
      path: '/cardDetail',
      name: 'cardDetail',
      component: cardDetail
    }, {
      path: '/xfIndex',
      name: 'xfIndex',
      component: xfIndex
    }, {
      path: '/letterVisitsKnow',
      name: 'letterVisitsKnow',
      component: letterVisitsKnow
    }, {
      path: '/xfLogin',
      name: 'xfLogin',
      component: xfLogin
    }, {
      path: '/xfRegister',
      name: 'xfRegister',
      component: xfRegister
    }, {
      path: '/letterVisitsTsqq',
      name: 'letterVisitsTsqq',
      component: letterVisitsTsqq
    }, {
      path: '/letterVisitsJyzj',
      name: 'letterVisitsJyzj',
      component: letterVisitsJyzj
    }, {
      path: '/letterVisitsQueryEvaluation',
      name: 'letterVisitsQueryEvaluation',
      component: letterVisitsQueryEvaluation
    }, {
      path: '/letterVisitsEvaluationDetail',
      name: 'letterVisitsEvaluationDetail',
      component: letterVisitsEvaluationDetail
    }, {
      path: '/letterVisitsGoEvaluation',
      name: 'letterVisitsGoEvaluation',
      component: letterVisitsGoEvaluation
    }, {
      path: '/letterVisitsProblem',
      name: 'letterVisitsProblem',
      component: letterVisitsProblem
    }, {
      path: '/orderComment',
      name: 'orderComment',
      component: orderComment
    }, {
      path: '/myComment',
      name: 'myComment',
      component: myComment
    }, {
      path: '/kstb',
      name: 'kstb',
      component: kstb
    }, {
      path: '/ztzq',
      name: 'ztzq',
      component: ztzq
    }, {
      path: '/zcwjList',
      name: 'zcwjList',
      component: zcwjList
    }, {
      path: '/zcwjDetail',
      name: 'zcwjDetail',
      component: zcwjDetail
    }, {
      path: '/xfForgetLoginId',
      name: 'xfForgetLoginId',
      component: xfForgetLoginId
    }, {
      path: '/xfForgetPassword',
      name: 'xfForgetPassword',
      component: xfForgetPassword
    }]
  }]
}));
// EXTERNAL MODULE: ./node_modules/axios/index.js
var axios = __webpack_require__("mtWM");
var axios_default = /*#__PURE__*/__webpack_require__.n(axios);

// CONCATENATED MODULE: ./src/axios/axios.js

var options = {};
// options.baseURL = 'http://127.0.0.1:8085/git';//本地后台地址
// options.baseURL = 'http://172.20.10.2:8085/git'
options.baseURL = 'https://zwyd.mca.gov.cn/ggfwappbiz'; //廊坊域名
var $axios = void 0;

/* harmony default export */ var axios_axios = ({
  install: function install(vue) {
    if (!vue.$axios) {
      vue.$axios = axios_default.a.create(options);
    }

    vue.mixin({
      created: function created() {
        this.$axios = vue.$axios;
      }
    });
  }
});
// EXTERNAL MODULE: ./node_modules/vant/es/index.js + 112 modules
var es = __webpack_require__("Fd2+");

// EXTERNAL MODULE: ./node_modules/vant/lib/index.css
var lib = __webpack_require__("4ml/");
var lib_default = /*#__PURE__*/__webpack_require__.n(lib);

// EXTERNAL MODULE: ./node_modules/vuex/dist/vuex.esm.js
var vuex_esm = __webpack_require__("NYxO");

// EXTERNAL MODULE: ./node_modules/babel-runtime/helpers/defineProperty.js
var defineProperty = __webpack_require__("bOdI");
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty);

// CONCATENATED MODULE: ./src/store/mutation-types.js
var CACHE_LOCATION = 'CACHE_LOCATION';
var JSSHOP = 'JSSHOP';
var DELSHOPBYID = 'DELSHOPBYID';
var JSSHOPBYID = 'JSSHOPBYID';
var INIT_BUYCART = 'INIT_BUYCART';
var CACHEBUYCART = 'CACHEBUYCART';
var DELCACHEBUYCART = 'DELCACHEBUYCART';

//jiaoy 代码项
var BASECODE = 'BASECODE';
// CONCATENATED MODULE: ./src/store/mutations.js


var _CACHE_LOCATION$JSSHO;





// import {localapi, proapi} from 'src/config/env'

/* harmony default export */ var mutations = (_CACHE_LOCATION$JSSHO = {}, defineProperty_default()(_CACHE_LOCATION$JSSHO, CACHE_LOCATION, function (state, _ref) {
  var latitude = _ref.latitude,
      longitude = _ref.longitude;

  state.location.latitude = latitude;
  state.location.longitude = longitude;
}), defineProperty_default()(_CACHE_LOCATION$JSSHO, JSSHOP, function (state) {
  Object(mUtils["setStore"])('buyCart', state.shopList);
}), defineProperty_default()(_CACHE_LOCATION$JSSHO, DELSHOPBYID, function (state, _ref2) {
  var shop_id = _ref2.shop_id;

  state.shopList.forEach(function (item, index) {
    if (item.seller.agvx0400 == shop_id) {
      state.shopList.splice(index, 1);
    }
  });
  //存入localStorage
  Object(mUtils["setStore"])('buyCart', state.shopList);
}), defineProperty_default()(_CACHE_LOCATION$JSSHO, CACHEBUYCART, function (state, _ref3) {
  var buyCart = _ref3.buyCart;

  state.shopList.push(buyCart);
  Object(mUtils["setStore"])('buyCart', state.shopList);
}), defineProperty_default()(_CACHE_LOCATION$JSSHO, DELCACHEBUYCART, function (state, _ref4) {
  var buyCart = _ref4.buyCart;

  // lists.forEach((item, index) => {
  state.shopList.forEach(function (item, index) {
    if (item.seller.agvx0400 == buyCart.seller.agvx0400) {
      state.shopList.splice(index, 1);
      Object(mUtils["removeStore"])('buyCart');
      Object(mUtils["setStore"])('buyCart', state.shopList);
      // console.log(getStore('buyCart'));
    }
  });
}), defineProperty_default()(_CACHE_LOCATION$JSSHO, INIT_BUYCART, function (state) {
  ;
  var initCart = Object(mUtils["getStore"])('buyCart');
  if (initCart) {
    state.shopList = JSON.parse(initCart);
  } else {
    state.shopList = null;
  }
}), defineProperty_default()(_CACHE_LOCATION$JSSHO, 'userinfo', function userinfo(state, obj) {
  state.userinfo = obj;
}), defineProperty_default()(_CACHE_LOCATION$JSSHO, 'basecode', function basecode(state, obj) {
  state.basecode = obj;
}), defineProperty_default()(_CACHE_LOCATION$JSSHO, INIT_BUYCART, function (state) {
  var initCart = Object(mUtils["getStore"])('buyCart');
  if (initCart) {
    state.shopList = JSON.parse(initCart);
  }
}), _CACHE_LOCATION$JSSHO);
// EXTERNAL MODULE: ./node_modules/babel-runtime/regenerator/index.js
var regenerator = __webpack_require__("Xxa5");
var regenerator_default = /*#__PURE__*/__webpack_require__.n(regenerator);

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/promise.js
var promise = __webpack_require__("//Fk");
var promise_default = /*#__PURE__*/__webpack_require__.n(promise);

// EXTERNAL MODULE: ./node_modules/babel-runtime/helpers/asyncToGenerator.js
var asyncToGenerator = __webpack_require__("exGp");
var asyncToGenerator_default = /*#__PURE__*/__webpack_require__.n(asyncToGenerator);

// CONCATENATED MODULE: ./src/store/action.js



/* harmony default export */ var action = ({
  cache_location: function cache_location(context) {
    var _this = this;

    return asyncToGenerator_default()( /*#__PURE__*/regenerator_default.a.mark(function _callee() {
      var _location;

      return regenerator_default.a.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return new promise_default.a(function (resolve, reject) {
                if (navigator.geolocation) {
                  navigator.geolocation.getCurrentPosition(function (position) {
                    var _latitude = position.coords.latitude;
                    var _longitude = position.coords.longitude;
                    var _data = {
                      latitude: _latitude,
                      longitude: _longitude
                    };
                    resolve(_data);
                  }, function (error) {
                    reject();
                  });
                } else {
                  reject();
                }
              });

            case 2:
              _location = _context.sent;


              context.commit('CACHE_LOCATION', _location);

            case 4:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, _this);
    }))();
  }
});
// CONCATENATED MODULE: ./src/store/getters.js
/* harmony default export */ var getters = ({
  userinfo: function userinfo(state) {
    return state.userinfo;
  },
  basePath: function basePath(state) {
    return state.basePath;
  },
  yyUrl: function yyUrl(state) {
    return state.yyUrl;
  },
  webglUrl: function webglUrl(state) {
    return state.webglUrl;
  },
  imgUpload: function imgUpload(state) {
    return state.imgUpload;
  },
  avatar: function avatar(state) {
    return state.avatar;
  },
  location: function location(state) {
    // if (!state.location.latitude || state.location.longitude)
    // alert("请先开启地理定位");
    return state.location;
  },
  baseAddr: function baseAddr(state) {
    return state.baseAddr;
  }
});
// CONCATENATED MODULE: ./src/store/index.js






vue_esm["a" /* default */].use(vuex_esm["a" /* default */]);

var store_state = {
  userinfo: null, //用户信息
  curuser: null, //登录信息
  areaname: '', //区划名称
  areacode: '',
  codePath: '',
  location: { //地理位置
    latitude: '',
    longitude: ''
  },
  basepath: 'https://zwyd.mca.gov.cn/ggfwappbiz', //廊坊
  // yyUrl: 'http://219.143.193.20/mzjmnewweb/apps/',
  yyUrl: 'https://zwfw.mca.gov.cn/apps/', //廊坊
  webglUrl: 'https://zwfw.mca.gov.cn/webhtgl/',
  loginFlag: '',
  appDetail: null, //APP详细信息
  newslist: [], //新闻list
  avatar: null,
  applistAll: '', //全局首页热门应用
  srcListAll: '', //全局首页轮播图片
  searchHistory: [], //搜索历史
  token: ''
};
/* harmony default export */ var store = (new vuex_esm["a" /* default */].Store({
  state: store_state,
  getters: getters,
  actions: action,
  mutations: mutations
}));
// EXTERNAL MODULE: ./node_modules/vant/lib/icon/local.css
var local = __webpack_require__("sEnP");
var local_default = /*#__PURE__*/__webpack_require__.n(local);

// EXTERNAL MODULE: ./node_modules/vux/src/plugins/loading/index.js + 1 modules
var plugins_loading = __webpack_require__("Y+qm");

// EXTERNAL MODULE: ./node_modules/vue-photo-preview/dist/vue-photo-preview.js
var vue_photo_preview = __webpack_require__("ibnl");
var vue_photo_preview_default = /*#__PURE__*/__webpack_require__.n(vue_photo_preview);

// EXTERNAL MODULE: ./node_modules/vue-photo-preview/dist/skin.css
var skin = __webpack_require__("tOCg");
var skin_default = /*#__PURE__*/__webpack_require__.n(skin);

// CONCATENATED MODULE: ./src/main.js









vue_esm["a" /* default */].use(axios_axios);
vue_esm["a" /* default */].config.productionTip = false;




vue_esm["a" /* default */].use(es["m" /* default */]);





vue_esm["a" /* default */].use(es["d" /* Dialog */]);



vue_esm["a" /* default */].use(es["l" /* Toast */]);


vue_esm["a" /* default */].use(es["c" /* DatetimePicker */]);





vue_esm["a" /* default */].use(es["f" /* Loading */]);


vue_esm["a" /* default */].use(plugins_loading["a" /* default */]);


vue_esm["a" /* default */].use(es["h" /* Popup */]);



vue_esm["a" /* default */].use(vue_photo_preview_default.a);



keys_default()(mUtils).forEach(function (key) {
  vue_esm["a" /* default */].filter(key, mUtils[key]);
});
/* 打包时注意 注释掉 */
new vue_esm["a" /* default */]({
  el: '#app',
  router: router,
  store: store,
  components: { App: src_App },
  template: '<App/>'
});

vue_esm["a" /* default */].prototype.resetSetItem = function (key, newVal) {
  if (key === 'watchStorage') {

    var newStorageEvent = document.createEvent('StorageEvent');
    var storage = {
      setItem: function setItem(k, val) {
        sessionStorage.setItem(k, val);

        newStorageEvent.initStorageEvent('setItem', false, false, k, null, val, null, null);

        window.dispatchEvent(newStorageEvent);
      }
    };
    return storage.setItem(key, newVal);
  }
};

/***/ }),

/***/ "gidv":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "sEnP":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "tOCg":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

},["NHnr"]);
//# sourceMappingURL=app.dfd4c672b9355f8d9bb1.js.map